"""
Auto generated by Mercado Radar SDK Generator
2025-02-27 21:10:25
"""
import os

import httpx

from .resources import (_account, _attribute_type, _attribute_value, _brand, _category, _filter, _product,
                        _product_attribute_value, _product_history, _search, _seller, _site, _ticket, _user,
                        _verification_history, )

__all__ = ["MercadoRadar"]


class MercadoRadar(httpx.Client):
    base_url: str
    token: str

    account: _account.None
    attribute_type: _attribute_type.None
    attribute_value: _attribute_value.None
    brand: _brand.None
    category: _category.None
    filter: _filter.None
    product: _product.None
    product_attribute_value: _product_attribute_value.None
    product_history: _product_history.None
    search: _search.None
    seller: _seller.None
    site: _site.None
    ticket: _ticket.None
    user: _user.None
    verification_history: _verification_history.None

    def __init__(self, token: str | None = None, base_url: str | None = None) -> None:
        if token is None:
            token = os.getenv('MERCADORADAR_TOKEN')
        if token is None:
            raise "The token option must be set either by passing token to the client or by setting the MERCADORADAR_TOKEN environment variable"

        if base_url is None:
            base_url = os.environ.get("MERCADORADAR_BASE_URL")
        if base_url is None:
            base_url = "https://api-pricing.mercadoradar.com.br"

        super().__init__(base_url=base_url, headers={"Authorization": f"Token {token}"}, http2=True)

        self.account = _account.None(self)
        self.attribute_type = _attribute_type.None(self)
        self.attribute_value = _attribute_value.None(self)
        self.brand = _brand.None(self)
        self.category = _category.None(self)
        self.filter = _filter.None(self)
        self.product = _product.None(self)
        self.product_attribute_value = _product_attribute_value.None(self)
        self.product_history = _product_history.None(self)
        self.search = _search.None(self)
        self.seller = _seller.None(self)
        self.site = _site.None(self)
        self.ticket = _ticket.None(self)
        self.user = _user.None(self)
        self.verification_history = _verification_history.None(self)
